// interopechoheader.idl : IDL source for interopechoheader
//

// This file will be processed by the MIDL tool to
// produce the type library (interopechoheader.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(2CA994D9-5176-4ED6-8B6D-8CAE9756C106),
	dual,
	nonextensible,
	helpstring("Iinteropechoheader Interface"),
	pointer_default(unique)
]
interface Iinteropechoheader : IDispatch{
	[id(1), helpstring("method OnProcessHeader")] HRESULT OnProcessHeader([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method OnTestMUHeaderBlock")] HRESULT OnTestMUHeaderBlock([in] BSTR bstrNamespace, [in] BSTR bstrLocalName, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(37FE47D7-68F0-4FAA-B709-C595C81D2137),
	version(1.0),
	helpstring("interopechoheader 1.0 Type Library")
]
library interopechoheaderLib
{
	importlib("stdole2.tlb");
	[
		uuid(C48903ED-4AA3-488A-BE67-D0527158BA62),
		helpstring("interopechoheader Class")
	]
	coclass interopechoheader
	{
		[default] interface Iinteropechoheader;
	};
};
